summarylogtreecommitdiffstats
path: root/brother-mfc-9335cdw.install
diff options
context:
space:
mode:
Diffstat (limited to 'brother-mfc-9335cdw.install')
-rw-r--r--brother-mfc-9335cdw.install24
1 files changed, 17 insertions, 7 deletions
diff --git a/brother-mfc-9335cdw.install b/brother-mfc-9335cdw.install
index 0a3158bda106..8c841ee4326f 100644
--- a/brother-mfc-9335cdw.install
+++ b/brother-mfc-9335cdw.install
@@ -1,12 +1,22 @@
post_install() {
- post_upgrade;
+ post_upgrade;
}
post_upgrade() {
- /opt/brother/Printers/mfc9335cdw/cupswrapper/cupswrappermfc9335cdw >/dev/null
- if [ "$?" -eq 0 ]; then
- printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. The printer should be visible now via the CUPS-webinterface (http://localhost:631)\n"
- else
- printf "\033[1m\032[32m\x3d\x3d\x3e\033\1330m Something went wrong...\n"
- fi
+ /opt/brother/Printers/mfc9335cdw/cupswrapper/cupswrappermfc9335cdw > /dev/null
+ if [ "$?" -eq 0 ]; then
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Done. The printer should be visible now via \
+ the CUPS web interface (http://localhost:631).\n"
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m Make sure org.cups.cupsd.service is enabled \
+ and started, in order for printing to work.\n"
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m If the scanner is connected wirelessly, make \
+ sure to configure it with brsaneconfig4, which will need to be installed.\n"
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m If scanning is segfaulting, try setting the \
+ scan mode to '24bit Color' in your scanning application.\n"
+ printf "\033[1m\033[32m\x3d\x3d\x3e\033\1330m For the touchscreen/keypad on the scanner to \
+ work, brscan-skey.service will need to be enabled and started, and its corresponding \
+ package installed. Note that I, the package maintainer, have yet to get this working.\n"
+ else
+ printf "\033[1m\032[32m\x3d\x3d\x3e\033\1330m Something went wrong...\n"
+ fi
}